Name:           maven-docck-plugin
Version:        1.1
Release:        %mkrel 6
Group:          Development/Java
Summary:        Maven Documentation Checker Plugin
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-docck-plugin/
BuildArch:      noarch

Source0:        http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:         0001-Port-to-maven-plugin-tools-3.4.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-httpclient:commons-httpclient)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-plugin-descriptor)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven:maven-settings)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-tools-api)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-tools-beanshell)
BuildRequires:  mvn(org.apache.maven.shared:file-management)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
Checks for violations of the Plugin Documentation Standard.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


%changelog
* Mon May 15 2017 neoclust <neoclust> 1.1-6.mga6
+ Revision: 1101428
- Rebuild maven-* packages

* Thu May 11 2017 neoclust <neoclust> 1.1-5.mga6
+ Revision: 1100440
- Rebuild on core/release

* Thu May 11 2017 neoclust <neoclust> 1.1-4.mga6
+ Revision: 1100415
- New version 1.1

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Jan 07 2015 pterjan <pterjan> 1.0-9.mga5
+ Revision: 809179
- Make it build with new Maven plugin tool API
- Update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1.0-8.mga5
+ Revision: 742650
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 15 2013 dmorgan <dmorgan> 1.0-6.mga4
+ Revision: 557072
- Fix buildrequires
- Fix buildrequires
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jul 15 2013 dmorgan <dmorgan> 1.0-4.mga4
+ Revision: 454720
- Removed BR on maven-shared (unnecessary + blocking maven-shared retirement)

* Sat Jan 12 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 359599
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 1.0-2.mga3
+ Revision: 268330
- Added dep to maven-plugin-descriptor

* Wed Jul 20 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 127115
- Fix groups

  + gil <gil>
    - imported package maven-docck-plugin


* Tue Jul 12 2011 gil <gil> 1.0-0.%%mkrel
- imported from fedora

* Thu Jun 9 2011 Alexander Kurtakov <akurtako@redhat.com> 1.0-5
- Build with maven 3.x.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 1.0-3
- Add missing requires maven2

* Thu Jun 03 2010 Hui Wang <huwang@redhat.com> - 1.0-2
- Added epoch 1 to provides
- Fixed install instructions in one step
- Used bz2 compression in source0
- Used macros in add_to_maven_depmap

* Tue Jun 01 2010 Hui Wang <huwang@redhat.com> - 1.0-1
- Initial version of the package
